pbs_probe(8B)

NAME
pbs_probe - report PBS diagnostic information and fix permission errors

SYNOPSIS
pbs_probe [ -f | -v ]
pbs_probe --version

DESCRIPTION
Deprecated. The pbs_probe command reports post-installation information that is useful for PBS diagnostics, and fixes permission errors. Information Sources
    Information that is supplied on the command line
    The file /etc/pbs.conf
    The file /etc/init.d/pbs
    The values of any of the following environment variables; these may be set in the environment in which pbs_probe is run: PBS_CONF_FILE, PBS_HOME, PBS_EXEC, PBS_START_SERVER, PBS_START_MOM, and PBS_START_SCHED
Required Privilege
In order to execute pbs_probe, the user must have PBS Operator or Manager privilege.

OPTIONS

(no options)
    Run in "report" mode. In this mode pbs_probe reports any permission errors detected in the PBS infrastructure files. The command categorizes the errors and writes a list of them by category. Empty categories are not written.

-f  Run in "fix" mode. In this mode pbs_probe examines each of the relevant infrastructure files and, where possible, fixes any errors that it detects, and prints a message of what got changed. If it is unable to fix a problem, it prints a message regarding what was detected.

-v  Run in "verbose" mode. In this mode pbs_probe writes a complete list of the infrastructure files that it checked.

--version
    The pbs_probe command returns its PBS version information and exits. This option can only be used alone.

STANDARD ERROR
The pbs_probe command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Exit code does not reflect results of probe; it reflects whether or not the program ran.

Zero
    When run correctly, whether or not pbs_probe finds any problems or errors

Non-negative
    When run incorrectly

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: pbs_server(8B), pbs_sched(8B), pbs_mom(8B).